--[[
	Project: BookOfTheFallen
	Version: 1.0.0
	Author: NerfedWar (http://www.nerfedwar.net - nerfed.war@gmail.com)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

]]

-- initialise globals
if not BOTF then BOTF = {} end
if not BOTF.Book then BOTF.Book = {} end

-- @field define the BasicPage class
BOTF.Book.BasicPage = class()

-- BasicPage class constructor
-- @param book the Book pagesFrame
function BOTF.Book.BasicPage:init(book)
  -- @field store a reference to the Book pagesFrame
  self.theBook = book
end

-- update and display the UI elements
function BOTF.Book.BasicPage:show() end

-- hide the UI elements
function BOTF.Book.BasicPage:hide() end

